#
# spec file for package opus
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           opus
Version:        1.0.3
Release:        2.1
%define soname      0
Summary:        Opus Audio Codec Library
License:        BSD-3-Clause
Group:          System/Libraries
Source:         http://downloads.xiph.org/releases/opus/%{name}-%{version}.tar.gz
Source99:       baselibs.conf
Url:            http://opus-codec.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libtool
BuildRequires:  pkgconfig

%description
The Opus codec is designed for interactive speech and audio transmission over
the Internet. It is designed by the IETF Codec Working Group and incorporates
technology from Skype's SILK codec and Xiph.Org's CELT codec. 

%package -n libopus%{soname}
Summary:        Opus Audio Codec Library
Group:          System/Libraries

%description -n libopus%{soname}
The Opus codec is designed for interactive speech and audio transmission over
the Internet. It is designed by the IETF Codec Working Group and incorporates
technology from Skype's SILK codec and Xiph.Org's CELT codec. 

%package -n libopus-devel
Summary:        Opus Audio Codec Library Development Environment
Group:          Development/Libraries/C and C++
Requires:       libopus%{soname} = %{version}

%description -n libopus-devel
The Opus codec is designed for interactive speech and audio transmission over
the Internet. It is designed by the IETF Codec Working Group and incorporates
technology from Skype's SILK codec and Xiph.Org's CELT codec. 

%package -n libopus-devel-static
Summary:        Opus Audio Codec Library Static Library
Group:          Development/Libraries/C and C++
Requires:       libopus-devel = %{version}

%description -n libopus-devel-static
The Opus codec is designed for interactive speech and audio transmission over
the Internet. It is designed by the IETF Codec Working Group and incorporates
technology from Skype's SILK codec and Xiph.Org's CELT codec. 


%prep
%setup -q

%build
%configure \
    --disable-silent-rules \
    --disable-doc \
    --enable-custom-modes

%__make %{?_smp_mflags}

%install
%makeinstall

%__rm -f "%{buildroot}%{_libdir}"/*.la

%post   -n libopus%{soname} -p /sbin/ldconfig

%postun -n libopus%{soname} -p /sbin/ldconfig

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -n libopus%{soname}
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/libopus.so.%{soname}
%{_libdir}/libopus.so.%{soname}.*

%files -n libopus-devel
%defattr(-,root,root)
%{_libdir}/libopus.so
%{_includedir}/opus
%{_libdir}/pkgconfig/opus.pc
%{_datadir}/aclocal/opus.m4

%files -n libopus-devel-static
%defattr(-,root,root)
%{_libdir}/libopus.a

%changelog
* Thu Aug  1 2013 zaitor@opensuse.org
- Update to version 1.0.3:
  + Backport of the new 1.1 surround API.
  + Fixes for a few minor glitches during mode switching.
  + Some minor fixed-point fixes.
  + Fix a regression in the FEC code introduced in 1.0.2.
* Sat Feb  2 2013 zaitor@opensuse.org
- Update to version 1.0.2:
  + Fix an out-of-bounds read security issue.
  + Fixes and improvements to the PLC and hybrid mode quality.
- Drop
  opus-fix-out-of-bounds-read-issue-with-the-padding-handling.patch
  Fixed upstream.
* Sun Jan 13 2013 zaitor@opensuse.org
- Add
  opus-fix-out-of-bounds-read-issue-with-the-padding-handling.patch
  Fixes an out-of-bounds read that could be triggered by a
   malicious Opus packet causing an integer wrap-around in the
   padding code.
* Wed Sep 19 2012 zaitor@opensuse.org
- Update to version 1.0.1:
  + First bugfix release of stable version.
  + Changes are mostly buildfixes.
  + Fully compliant with the Opus specification.
- Remove unneeded autoconf, automake, gcc glibc-devel and make.
- Remove manual deletion of docs, instead pass --disable-doc to
  configure.
- Minor spec cleanup.
* Thu May 31 2012 pascal.bleser@opensuse.org
- initial version (0.9.14)
